> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 데이터셋 만들기



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml POST /tasks/{alias}/datasets
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /tasks/{alias}/datasets:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
    post:
      tags:
        - Datasets
      summary: 데이터셋 만들기
      operationId: createDataset
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 128
                params:
                  type: object
                  properties:
                    query:
                      type: object
                      properties:
                        source:
                          anyOf:
                            - type: string
                              const: task
                            - type: object
                              properties:
                                entity:
                                  type: string
                                  minLength: 1
                                project:
                                  type: string
                                  minLength: 1
                              required:
                                - entity
                                - project
                              additionalProperties: false
                        after:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        before:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        filters:
                          default: {}
                          type: object
                          properties:
                            task_version:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 2147483647
                            resolved_provider:
                              type: string
                              pattern: ^[a-z0-9][a-z0-9_-]{0,63}$
                            resolved_model:
                              type: string
                              minLength: 1
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                          additionalProperties: false
                      required:
                        - source
                        - after
                        - before
                      additionalProperties: false
                    sampling:
                      type: object
                      properties:
                        strategy:
                          type: string
                          enum:
                            - random
                            - first
                        limit:
                          type: integer
                          exclusiveMinimum: 0
                          maximum: 100000
                      required:
                        - strategy
                        - limit
                      additionalProperties: false
                    split:
                      type: object
                      additionalProperties: false
                      required:
                        - val
                        - by
                      properties:
                        val:
                          type: number
                          minimum: 0
                          maximum: 1
                        by:
                          type: string
                          const: trace
                  required:
                    - query
                    - sampling
                    - split
                  additionalProperties: false
              required:
                - name
                - params
              additionalProperties: false
      responses:
        '202':
          description: 데이터셋 구축 작업이 큐에 추가되었습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dataset'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
  schemas:
    Dataset:
      type: object
      additionalProperties: true
      required:
        - id
        - task_id
        - name
        - params
        - revision
        - status
        - build_progress
        - entry_counts
        - relabel_runs
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        task_id:
          type: string
          format: uuid
        name:
          type: string
        params:
          $ref: '#/components/schemas/DatasetParams'
        revision:
          type: integer
        status:
          type: string
          enum:
            - building
            - ready
            - failed
        build_progress:
          type:
            - object
            - 'null'
          required:
            - stage
            - processed
            - total
            - imported
          properties:
            stage:
              type: string
              enum:
                - discovering
                - importing
                - finalizing
            processed:
              type: integer
            total:
              type:
                - integer
                - 'null'
            imported:
              type: integer
        entry_counts:
          type: object
          required:
            - total
            - train
            - val
          properties:
            total:
              type: integer
            train:
              type: integer
            val:
              type: integer
        relabel_runs:
          type: array
          items:
            $ref: '#/components/schemas/RelabelRun'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    DatasetParams:
      type: object
      additionalProperties: false
      required:
        - query
        - sampling
        - split
      properties:
        query:
          $ref: '#/components/schemas/DatasetQuery'
        sampling:
          type: object
          additionalProperties: false
          required:
            - strategy
            - limit
          properties:
            strategy:
              type: string
              const: random
            limit:
              type: integer
              minimum: 1
              maximum: 100000
        split:
          type: object
          additionalProperties: false
          required:
            - val
            - by
          properties:
            val:
              type: number
              minimum: 0
              maximum: 1
            by:
              type: string
              const: trace
    RelabelRun:
      type: object
      additionalProperties: true
      required:
        - id
        - dataset_id
        - dataset_revision
        - model_ref
        - status
        - output_count
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        dataset_revision:
          type: integer
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - stale
        error:
          type:
            - string
            - 'null'
        output_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    DatasetQuery:
      type: object
      additionalProperties: false
      required:
        - source
        - after
        - before
      properties:
        source:
          $ref: '#/components/schemas/DatasetSource'
        after:
          type: string
          format: date-time
        before:
          type: string
          format: date-time
        filters:
          type: object
          additionalProperties: false
          properties:
            task_version:
              type: integer
              minimum: 1
              maximum: 2147483647
            resolved_provider:
              type: string
            resolved_model:
              type: string
            metadata:
              $ref: '#/components/schemas/JsonObject'
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    DatasetSource:
      oneOf:
        - type: string
          const: task
        - type: object
          additionalProperties: false
          required:
            - entity
            - project
          properties:
            entity:
              type: string
            project:
              type: string
    JsonObject:
      type: object
      additionalProperties: true
  responses:
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````